Ticket #34107

点訳エンジンが「二十一二」「二十二三」など漢数字の連続を誤変換する

Open Date: 2014-07-29 08:34 Last Update: 2014-08-07 17:32

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: テキスト解析 MileStone: 2014.3jp-public-beta (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

点訳エンジンが「二十一二」「二十二三」など漢数字の連続を誤変換するというご報告をいただいています。

2014.2jp の点字ビューワーで下記の状況を確認しました:

二十一二
出力 32

二十二三
出力 43

文字列の連結をするべきところで、誤って 20 + 12 や 20 + 23 の計算をしてしまっているようです。

Attachment File List

No attachments

Ticket History (3/3 Histories)

2014-07-29 08:34 Updated by: nishimoto
  • New Ticket "点訳エンジンが「二十一二」「二十二三」など漢数字の連続を誤変換する" created
2014-08-04 15:28 Updated by: nishimoto
Comment

点訳のてびき p.22 の「およその数で数が重なる場合」に該当すると判断して、 「二十一ニ」は「数21数2」と解釈するようにしました:

To ssh://git@bitbucket.org/nvdajp/nvdajpmiscdep.git
   00cefbb..9be6d29  master -> master
2014-08-07 17:32 Updated by: nishimoto
  • Ticket Close date is changed to 2014-08-07 17:32
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login